#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define app_name jose

Name:           erlang-%{app_name}
Version:        1.8.4
Release:        2.72
%define app_ver %(echo "%{version}" | cut -d "+" -f1)
License:        MPL-2.0
Summary:        JSON Object Signing and Encryption (JOSE) for Erlang and Elixir
Url:            https://github.com/potatosalad/erlang-jose
Group:          Development/Libraries/Other
Source:         %{name}-%{version}.tar.xz
Requires:       erlang
BuildRequires:  erlang
BuildRequires:  erlang-rebar
BuildRequires:  erlang-base64url
Requires:       erlang-base64url
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       %{name}-devel = %{version}-%{release}

%description
JSON Object Signing and Encryption (JOSE) for Erlang and Elixir.

%prep
%setup -q -n %{name}-%{version}

%build
%rebar compile

%install
for dir in ebin priv ; do
  mkdir -p %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/${dir}
  cp -r ${dir}/* %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/${dir}/
done

%check
#rebar eunit

%files
%defattr(-,root,root)
%doc *md LICENSE
%dir %{erlang_libdir}/%{app_name}-%{app_ver}
%dir %{erlang_libdir}/%{app_name}-%{app_ver}/ebin
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/%{app_name}.app
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/*.beam
%{erlang_libdir}/%{app_name}-%{app_ver}/priv

%changelog
* Thu Nov 23 2017 mrueckert@suse.de
- Update to version 1.8.4:
  * Version 1.8.4
  * Add support for reading/writing PKIX for Curve25519 and Curve448.
  * Add support for ojson.
  * Update erlang.mk
  * Version 1.8.3
  * Make 1.8.2 compile with OTP-17  * Use maps:put/3 since variables can only be used as keys for maps starting on OTP-18
  * Version 1.8.2
  * Whoops, ESL only has Elixir 1.4.1 for travis tests.
  * Use OTP 19.3 and Elixir 1.4.2 for travis tests.
  * Update dependencies and lexical poison encoder for poison 3
* Thu Nov 23 2017 mrueckert@suse.de
- initial package
